package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qw.domain.QwMsg;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 企微聊天记录Mapper接口
 *
 * @author fs
 * @date 2024-12-17
 */
public interface QwMsgMapper  extends BaseMapper<QwMsg>
{
    /**
     * 查询企微聊天记录
     *
     * @param msgId 企微聊天记录主键
     * @return 企微聊天记录
     */
    public QwMsg selectQwMsgByMsgId(Long msgId);

    /**
     * 查询企微聊天记录列表
     *
     * @param qwMsg 企微聊天记录
     * @return 企微聊天记录集合
     */
    public List<QwMsg> selectQwMsgList(QwMsg qwMsg);

    /**
     * 新增企微聊天记录
     *
     * @param qwMsg 企微聊天记录
     * @return 结果
     */
    public int insertQwMsg(QwMsg qwMsg);

    /**
     * 修改企微聊天记录
     *
     * @param qwMsg 企微聊天记录
     * @return 结果
     */
    public int updateQwMsg(QwMsg qwMsg);

    /**
     * 删除企微聊天记录
     *
     * @param msgId 企微聊天记录主键
     * @return 结果
     */
    public int deleteQwMsgByMsgId(Long msgId);

    /**
     * 批量删除企微聊天记录
     *
     * @param msgIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwMsgByMsgIds(Long[] msgIds);

    @Select("select * from qw_msg where session_id = #{sessionId} order by msg_id desc ")
    List<QwMsg> selectQwMsgListBySession(@Param("sessionId") String conversationId);
}
